<?xml version="1.0" encoding="utf-8" ?>
<SMTK_AttributeResource Version="3">
  <Definitions>
    <AttDef Type="Example">
      <ItemDefinitions>
        <Group Name="prop" NumberOfRequiredGroups="1">
          <ItemDefinitions>
            <Double Name="influence radius"/>
            <Int Name="projection enabled"/>
            <Double Name="anchor point" NumberOfRequiredValues="3"/>
            <Double Name="displacement point" NumberOfRequiredValues="3"/>
            <Double Name="projection point" NumberOfRequiredValues="3"/>
          </ItemDefinitions>
        </Group>
      </ItemDefinitions>
    </AttDef>
  </Definitions>
  <Attributes>
    <Att Name="ProportionalEdit Widget Example" Type="Example">
      <Items>
        <Group Name="prop" NumberOfGroups="1">
          <GroupClusters>
            <Cluster Ith="0">
              <Double Name="influence radius">
                <Values>
                  <Val Ith="0">0.5</Val>
                </Values>
              </Double>
              <Int Name="projection enabled">
                <Values>
                  <Val Ith="0">0</Val>
                </Values>
              </Int>
              <Double Name="anchor point">
                <Values>
                  <Val Ith="0">0.0</Val>
                  <Val Ith="1">0.0</Val>
                  <Val Ith="2">0.0</Val>
                </Values>
              </Double>
              <Double Name="displacement point">
                <Values>
                  <Val Ith="0">1.0</Val>
                  <Val Ith="1">0.0</Val>
                  <Val Ith="2">0.0</Val>
                </Values>
              </Double>
              <Double Name="projection point">
                <Values>
                  <Val Ith="0">0.0</Val>
                  <Val Ith="1">1.0</Val>
                  <Val Ith="2">0.0</Val>
                </Values>
              </Double>
            </Cluster>
          </GroupClusters>
        </Group>
      </Items>
    </Att>
  </Attributes>
  <Views>
    <View
      Type="Instanced"
      Title="Example"
      TopLevel="true"
      FilterByAdvanceLevel="false"
      FilterByCategoryMode="false"
    >
      <InstancedAttributes>
        <Att Type="Example" Name="ProportionalEdit Widget Example"
        >
          <ItemViews>
            <View Item="prop"
              Type="ProportionalEditSphere"
              InfluenceRadius="influence radius"
              ProjectionEnabled="projection enabled"
              AnchorPoint="anchor point"
              Displacement="displacement point"
              Projection="projection point"
              ShowControls="true"/>
          </ItemViews>
        </Att>
      </InstancedAttributes>
    </View>
  </Views>
</SMTK_AttributeResource>
